Fork me on GitHub
Current releases are 2.1.5 (31 Oct 2014) and 2.0.18.13 (5 Aug 2014)

Ready for 2.1? Find out if your plugins are compatible. 2.0 will no longer be updated after Dec 2014.

Upgrading from 1.1.10 ?

edited September 2011 in Vanilla 2.0 Help
It's been a while since I updated Vanilla - only a couple of years! :)

I'm on version 1.1.10 and it works fine but I want to include some features (like facebook connect) and want to upgrade to keep current.

So - will my database handle a swap straight to the new version? Will it self update? Will my old theme still work?

I'm happy to create a new install and attach the db, just wondering how much the db structure etc has changed,

Any help appreciated!
Rob

Best Answer

  • UnderDogUnderDog Moderator
    Answer ✓
    Well the structure change can be figured out easily, but I would look at it a different way.
    Let's say vanilla 2 is completely different from vanilla 1.
    Use the vanilla exporter (porter) to export your data from vanilla 1 and then use the importer in vanilla 2 to import your data.
    Problem is that at the moment there's some problems downloading from the addons site, otherwise just go to the addons site and look for the porter plugin.

Answers

Sign In or Register to comment.